﻿using System;
using System.Collections.Generic;
using System.Linq;
using System.Text;
using System.Windows;
using System.Windows.Controls;
using System.Windows.Data;
using System.Windows.Documents;
using System.Windows.Input;
using System.Windows.Media;
using System.Windows.Media.Imaging;
using System.Windows.Navigation;
using System.Windows.Shapes;
using Infragistics.Windows.Helpers;
using Infragistics.Windows.DataPresenter;

namespace CheckBoxDisabling
{
    public partial class DisableCheckBox : Window
    {
        public DisableCheckBox()
        {
            InitializeComponent();
            List<MyObject> list = new List<MyObject>();
            list.Add(new MyObject(true, 7, "Yanko"));
            list.Add(new MyObject(false, 4, "Ivan"));
            list.Add(new MyObject(true, 8, "Svetlin"));
            xamDataGrid1.DataSource = list;
        }
    }

    public class MyObject : PropertyChangeNotifier
    {
        private int number;
        private string name;
        private bool status;

        public MyObject(bool aStatus, int aNumber, string aName)
        {
            Status = aStatus;
            Number = aNumber;
            Name = aName;
        }

        public bool Status
        {
            get { return status; }
            set
            {
                if (status != value)
                {
                    status = value;
                    this.RaisePropertyChangedEvent("Status");
                }
            }
        }

        public string Name
        {
            get { return name; }
            set
            {
                if (name != value)
                {
                    name = value;
                    this.RaisePropertyChangedEvent("Name");
                }
            }
        }

        public int Number
        {
            get { return number; }
            set
            {
                if (number != value)
                {
                    number = value;
                    this.RaisePropertyChangedEvent("Number");
                }
            }
        }

    }

    public class CellValueConverter : IValueConverter
    {
        public object Convert(object value, Type targetType, object parameter, System.Globalization.CultureInfo culture)
        {
            if (value is int && (int)value > 5)
                return false;
            else
                return true;
        }

        public object ConvertBack(object value, Type targetType, object parameter, System.Globalization.CultureInfo culture)
        {
            throw new NotImplementedException();
        }
    }
}
